Subject: Ticket Assigned - A Complain on Order #9639967218
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 18 Jul 2021 06:18:00 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  A Complain on Order #9639967218 Dears
Greetings,

I am sorry to write this email to you after I had the worst online shopping experience ever, which was on the Max website.
Initially, I made an order as a guest without logging in from my account and entered the following email:
[email-masked]
Within the contact information boxes, which was mandatory.

I received the order, and after I checked the contents, I did not like the quality of some of the pieces, so I wanted to return them, and I contacted customer service to complete this.
And it was easy to return.
But the problem started from here, when I asked the customer service employee about how the money would be returned to me and he said it will return to your account on Max!
I told him, but I do not have an account on Max!
He said that I have an account linked to this email and I used it to buy from HomeCenter two years ago, so I just have to enter it with the password and I will log in to my account and find the money there!

I tried to remember the password, but I failed, so I asked to reset it!
However, I did not receive the reset email until the date of this email that I sent you.
I am an expert in technology and therefore I have all the solutions that I can try, which is to check the Junk e-mail box and try from the site and from the application and from more than one device and from more than one browser ....

I did not receive the email, although my email is fully functional and I receive email offers from all Landmark stores almost daily !!!
I tried to contact customer service since March 7, 2021, more than ten times, to no avail
All the answers were unprofessional, delayed and deceitful
I even requested to communicate with the responsible for the customer service staff, and she promised me that the problem would be resolved within 48 hours!
But I have not received any response from her until this moment !!!

I am very dissatisfied with your service, which has proven that it does not live up to any expectations or any professional level and aims to attract clients!

Let me remind you that customer service is the main and first interface for any company, and the customer can overlook the high price or anything else if the customer service is good and respects the customer.

Unfortunately, I did not feel any interest from you or even respect for me in this bad experience, and this will push me to share my experience on social media platforms and definitely stop buying from any of your stores!

It's been over a month and a half since this experiment and I'm still wasting my time trying to solve the problem!

Thanks!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2456268